classification
Title: IDLE subprocess error
Type: behavior Stage: test needed
Components: IDLE Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ChrisAltona, Kris, gpolo, kbk, terry.reedy
Priority: normal Keywords:

Created on 2008-04-28 14:10 by Kris, last changed 2010-12-31 02:11 by terry.reedy. This issue is now closed.

Messages (5)
msg65918 - (view) Author: Kristian Lauridsen (Kris) Date: 2008-04-28 14:10
Hi all.
I'w been looking for an answer to this. 
If I use IDLE for som "just fore fun" programming and then exit, I have 
to "kill" IDLE, dispite theres nothin "running" persay, then when i 
start IDLE again I get too error messages popping up:

1: Socket Error: Connection refused
2: IDLE's subprocess didn't make connection. Either IDLE can't start a 
subprocess or personal firewall is blocking the connection.

The code written in IDLE that triggers the problem can be something 
simple like:
>>> a = 'hello world'
>>> print a

I have to reboot to get past the error.
I'm only getting the error when running vista and xp theres no problom 
in any of the other systems i'v tried (mainly linux)
I should mention that the error dosn't come every time I "kill" IDLE, I 
would say about every 3rd run, or there about.
I'v tried removeing/killing windows owen firewall and then running IDLE 
but with the same result.
Like I said, i been look around fore a "fix" fore this but havent found 
any...
If I have made a "double post" please let me know and remove this 
post....
msg66251 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2008-05-04 22:28
1. Which version of Python / IDLE are you running?
2. Why do you "have to kill" IDLE instead of doing a normal quit?
msg66260 - (view) Author: Kristian Lauridsen (Kris) Date: 2008-05-05 08:29
Python 2.5.2 IDLE 1.2.2
It dosnt matter how i try to "end" IDLE: red cross, close(alt+F4), exit
(Ctrl+Q) or writing exit(), it will ask me to kill the program. 
I dont think it's IDLE im "killing" but the program im writing.
msg87579 - (view) Author: Christopher Altona (ChrisAltona) Date: 2009-05-11 16:47
I found that if I go into the Windows Task Manager and end (somtimes 
both of) the Python processes, the program will run properly the next 
time I open it.
Hope this helps.
msg124948 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-12-31 02:11
3.0 is closed to fixed and 2.6 is security fix only.
This is otherwise a duplicate of similar issues.
History
Date User Action Args
2010-12-31 02:11:46terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg124948

resolution: out of date
2009-05-11 16:47:13ChrisAltonasetnosy: + ChrisAltona
messages: + msg87579
2009-04-26 22:11:18ajaksu2setversions: + Python 2.6, Python 3.0, - Python 2.5
nosy: + gpolo

priority: normal
type: crash -> behavior
stage: test needed
2008-05-05 08:29:49Krissetmessages: + msg66260
2008-05-04 22:28:39kbksetnosy: + kbk
messages: + msg66251
2008-04-28 14:10:40Kriscreate